Bug 243888 - lang/ruby27: throw out {irb,ri,rdoc} from lang/ruby27
Summary: lang/ruby27: throw out {irb,ri,rdoc} from lang/ruby27
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: https://reviews.freebsd.org/D23514
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-05 02:12 UTC by Koichiro Iwao
Modified: 2020-08-17 03:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2020-02-05 02:12:51 UTC
lang/ruby27 version of bug 241554.
Comment 1 Koichiro Iwao freebsd_committer 2020-02-05 02:16:00 UTC
Kimura-san, 

I was also making changes on lang/ruby27. This is current my working tree.
I'm going to pick ruby27 changes up from your patch at bug 241554.
Comment 2 commit-hook freebsd_committer 2020-03-13 09:27:36 UTC
A commit references this bug:

Author: meta
Date: Fri Mar 13 09:27:16 UTC 2020
New revision: 528339
URL: https://svnweb.freebsd.org/changeset/ports/528339

Log:
  lang/ruby27: throw out irb, ri, rdoc from lang/ruby27

  because they're provided as "default gem" since Ruby 2.6.

  We provide "default gem"s as gem ports rather than a part of lang/ruby*
  port.  files/patch-tool_rbinstall.rb makes not to install such default gems
  however hollow wrapper scripts bin/{irb,ri,rdoc} and their manpages were
  still left.

  This commit intend to move out such wrapper scripts and manpages to gem
  ports completely.

  PR:		243888
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> (initial revision)
  		meta (myself)
  Differential Revision:	https://reviews.freebsd.org/D23514

Changes:
  head/Mk/bsd.ruby.mk
  head/devel/rubygem-irb/Makefile
  head/devel/rubygem-rdoc/Makefile
  head/lang/ruby27/Makefile
  head/lang/ruby27/pkg-message
  head/lang/ruby27/pkg-plist
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2020-08-17 03:04:13 UTC
Committed Mar 13 09:27:16 UTC 2020 as r528339.

^Triage: assign to committer that resolved.